From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/ropper/
Date: Fri, 28 Mar 2025 15:22:43 +0000 (UTC) [thread overview]
Message-ID: <1743175223.e1b611b285e2c9ac26c63db029a2b5ea2dc23bff.sam@gentoo> (raw)
commit: e1b611b285e2c9ac26c63db029a2b5ea2dc23bff
Author: Mario Haustein <mario.haustein <AT> hrz <DOT> tu-chemnitz <DOT> de>
AuthorDate: Thu Mar 27 20:12:28 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 28 15:20:23 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1b611b2
dev-util/ropper: add 1.13.13
Signed-off-by: Mario Haustein <mario.haustein <AT> hrz.tu-chemnitz.de>
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-util/ropper/Manifest | 1 +
dev-util/ropper/ropper-1.13.13.ebuild | 46 +++++++++++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-util/ropper/Manifest b/dev-util/ropper/Manifest
index 1adab485dfa4..aec0d884a5eb 100644
--- a/dev-util/ropper/Manifest
+++ b/dev-util/ropper/Manifest
@@ -1,2 +1,3 @@
DIST ropper-1.13.10.gh.tar.gz 1492233 BLAKE2B c7b385fc2cf9f0777394899910d9433c09b9df0b5ba489b4fac71be3fbeeb4c1d68bdace6dcefb114aad3f89452745d04351a85003998bf3f8b148a774ea7a5a SHA512 64afab433a633f10bb964af44e51c5d44885e03c718695284c3cfd73ea3f204561224d26575e1e376ca0c1424fe6ca859c5844a55798375223ea304e455d8c04
+DIST ropper-1.13.13.gh.tar.gz 1492168 BLAKE2B 94e1c25346c219665318cd320cd98762450811cca146dcbc4740eed550f453e10c11d1b85356c8ee06df9a2b798ec93ca831bbe2170d6a73512ecc0cf53b2d2c SHA512 f4a868c90bbae459b85e7d7846b39f0391de68c6fa36c8cf72572f1d420f127a9d052f1cf3560b4150d86064687433aa7a6af2c29bd85b89e5008fa3cd0556ad
DIST ropper-1.13.8.gh.tar.gz 1491769 BLAKE2B 8601bcd2287763aa208b227c437362b9799ec1775104b659213e69a77f118bce567e95a0b83a4f0556439a82ee853ebc9aabaa4098b2a700572d1b661213eb25 SHA512 eae2279e1c6bc91af76e8e5d37b7d57c5d2e518d027e293dbd52c6c27dcd8826e73673c55fe581cdefda272b657c8eff2b5eb4fdc4996fec1548709b8371b5d4
diff --git a/dev-util/ropper/ropper-1.13.13.ebuild b/dev-util/ropper/ropper-1.13.13.ebuild
new file mode 100644
index 000000000000..37dfaf6da417
--- /dev/null
+++ b/dev-util/ropper/ropper-1.13.13.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Use to display information about binary files in different file formats"
+HOMEPAGE="https://scoding.de/ropper https://github.com/sashs/Ropper"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/sashs/Ropper"
+else
+ SRC_URI="https://github.com/sashs/Ropper/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+ S="${WORKDIR}"/Ropper-${PV}
+
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="z3"
+
+RDEPEND="${PYTHON_DEPS}
+ $(python_gen_cond_dep '
+ dev-libs/capstone[python,${PYTHON_USEDEP}]
+ dev-libs/keystone[python,${PYTHON_USEDEP}]
+ dev-python/filebytes[${PYTHON_USEDEP}]
+ ')
+ z3? ( sci-mathematics/z3[python,${PYTHON_SINGLE_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Remove test which dies on trying to import itself (stub loader, not a real test)
+ rm test.py || die
+
+ distutils-r1_src_prepare
+}
next reply other threads:[~2025-03-28 15:22 UTC|newest]
Thread overview: 24+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-03-28 15:22 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-28 15:22 [gentoo-commits] repo/gentoo:master commit in: dev-util/ropper/ Sam James
2024-10-03 9:47 Sam James
2024-07-01 16:47 Sam James
2024-07-01 16:47 Sam James
2024-06-01 3:07 Sam James
2024-06-01 3:07 Sam James
2024-01-14 4:53 Sam James
2023-04-14 19:43 Sam James
2023-04-14 4:04 Sam James
2023-02-25 5:47 Arthur Zamarin
2023-01-14 10:00 Arthur Zamarin
2023-01-10 4:13 Sam James
2023-01-05 5:21 Sam James
2023-01-05 0:19 Sam James
2023-01-05 0:19 Sam James
2022-08-23 5:30 Sam James
2022-08-23 5:30 Sam James
2022-04-17 16:44 Sam James
2022-04-10 17:01 Sam James
2022-04-05 3:08 Sam James
2022-01-28 8:22 Sam James
2022-01-28 5:18 Sam James
2022-01-28 5:18 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1743175223.e1b611b285e2c9ac26c63db029a2b5ea2dc23bff.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox